// DynamicToolBarView.cpp : implementation of the CDynamicToolBarView class
//

#include "stdafx.h"
#include "DynamicToolBar.h"

#include "DynamicToolBarDoc.h"
#include "DynamicToolBarView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDynamicToolBarView

IMPLEMENT_DYNCREATE(CDynamicToolBarView, CView)

BEGIN_MESSAGE_MAP(CDynamicToolBarView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CDynamicToolBarView construction/destruction

CDynamicToolBarView::CDynamicToolBarView()
{
	// TODO: add construction code here

}

CDynamicToolBarView::~CDynamicToolBarView()
{
}

BOOL CDynamicToolBarView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CDynamicToolBarView drawing

void CDynamicToolBarView::OnDraw(CDC* /*pDC*/)
{
	CDynamicToolBarDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}


// CDynamicToolBarView printing

BOOL CDynamicToolBarView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CDynamicToolBarView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CDynamicToolBarView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CDynamicToolBarView diagnostics

#ifdef _DEBUG
void CDynamicToolBarView::AssertValid() const
{
	CView::AssertValid();
}

void CDynamicToolBarView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDynamicToolBarDoc* CDynamicToolBarView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDynamicToolBarDoc)));
	return (CDynamicToolBarDoc*)m_pDocument;
}
#endif //_DEBUG


// CDynamicToolBarView message handlers
